<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CompanionCommitment extends \Google\Protobuf\Internal\Message
{
    


    protected $hash = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getHash()
    {
        return isset($this->hash) ? $this->hash : '';
    }

    public function hasHash()
    {
        return isset($this->hash);
    }

    public function clearHash()
    {
        unset($this->hash);
    }

    




    public function setHash($var)
    {
        GPBUtil::checkString($var, False);
        $this->hash = $var;

        return $this;
    }

}

